<?php
/**
 * The template for displaying the footer
 *
 * @package CoprTheme
 * @version 1.0.0
 */
if ( 'show' == get_theme_mod( 'copr_footer_enable', 'show' ) ) : ?>
<footer id="dtr-footer-section" class="dtr-footer-section-wrap clearfix" <?php copr_schema_markup( 'footer' ); ?>>
    <?php if ( 'show' == get_theme_mod( 'copr_footer_columns_enable', 'show' ) ) { ?>
    <?php if ( is_active_sidebar( 'footer-column-1' ) || is_active_sidebar( 'footer-column-2' ) || is_active_sidebar( 'footer-column-3' ) || is_active_sidebar( 'footer-column-4' ) ) { ?>
    <div class="dtr-footer-row">
        <div class="container">
            <div class="row">
                <?php
		// get footer columns
		if ( get_theme_mod( 'copr_footer_columns', '5' ) ) { 
			$footer_columns = get_theme_mod( 'copr_footer_columns', '5' ); 
		} else { 
			$footer_columns = '5'; 
		}
		if( $footer_columns == '1' ){
			$footer_column_col1 = 'col-12';
		} elseif( $footer_columns == '2' ){
			$footer_column_col1 = 'col-12 col-md-6';
			$footer_column_col2 = 'col-12 col-md-6';
		} elseif( $footer_columns == '3' ){
			$footer_column_col1 = 'col-12 col-md-4';
			$footer_column_col2 = 'col-12 col-md-4';
			$footer_column_col3 = 'col-12 col-md-4';
		} elseif( $footer_columns == '4' ){
			$footer_column_col1 = 'col-12 col-md-6 col-lg-3';
			$footer_column_col2 = 'col-12 col-md-6 col-lg-3';
			$footer_column_col3 = 'col-12 col-md-6 col-lg-3';
			$footer_column_col4 = 'col-12 col-md-6 col-lg-3';
		} elseif( $footer_columns == '5' ){
			$footer_column_col1 = 'col-12 col-md-6';
			$footer_column_col2 = 'col-12 col-md-3';
			$footer_column_col3 = 'col-12 col-md-3';
		} elseif( $footer_columns == '6' ){
			$footer_column_col1 = 'col-12 col-md-3';
			$footer_column_col2 = 'col-12 col-md-6';
			$footer_column_col3 = 'col-12 col-md-3';
		} elseif( $footer_columns == '7' ){
			$footer_column_col1 = 'col-12 col-md-4';
			$footer_column_col2 = 'col-12 col-md-5';
			$footer_column_col3 = 'col-12 col-md-3';
		} elseif( $footer_columns == '8' ){
			$footer_column_col1 = 'col-12 col-md-6 col-lg-4';
			$footer_column_col2 = 'col-12 col-md-6 col-lg-3';
			$footer_column_col3 = 'col-12 col-md-6 col-lg-2';
			$footer_column_col4 = 'col-12 col-md-6 col-lg-3';
		} 
		?>
                <?php if( is_active_sidebar( 'footer-column-1' ) ) { ?>
                <?php if( $footer_columns == '1' || $footer_columns == '2' || $footer_columns == '3' || $footer_columns == '4' || $footer_columns == '5' || $footer_columns == '6' || $footer_columns == '7'  || $footer_columns == '8' ) { ?>
                <div class="<?php echo esc_attr( $footer_column_col1 );?>">
                    <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('footer-column-1') ) ?>
                </div>
                <?php } } // widgets area 1 ?>
                <?php if( is_active_sidebar( 'footer-column-2' ) ) { ?>
                <?php if( $footer_columns == '2' || $footer_columns == '3' || $footer_columns == '4' || $footer_columns == '5' || $footer_columns == '6' || $footer_columns == '7' || $footer_columns == '8' ) { ?>
                <div class="<?php echo esc_attr( $footer_column_col2 );?> small-device-space">
                    <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('footer-column-2') ) ?>
                </div>
                <?php } } // widgets area 2 ?>
                <?php if( is_active_sidebar( 'footer-column-3' ) ) { ?>
                <?php if( $footer_columns == '3' || $footer_columns == '4' || $footer_columns == '5' || $footer_columns == '6' || $footer_columns == '7' || $footer_columns == '8' ) { ?>
                <div class="<?php echo esc_attr( $footer_column_col3 );?> small-device-space">
                    <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('footer-column-3') ) ?>
                </div>
                <?php } } // widgets area 3 ?>
                <?php if( is_active_sidebar( 'footer-column-4' ) ) { ?>
                <?php if( $footer_columns == '4' || $footer_columns == '8' ) { ?>
                <div class="<?php echo esc_attr( $footer_column_col4 );?> small-device-space">
                    <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('footer-column-4') ) ?>
                </div>
                <?php } } // widgets area 4 ?>
            </div>
        </div>
    </div>
    <?php } } // dtr-footer-row ?>
    <?php if ( 'show' == get_theme_mod( 'copr_copyright_enable', 'hide' ) ) { ?>
    <?php if ( is_active_sidebar( 'copyright-column-1' ) || is_active_sidebar( 'copyright-column-2' ) ) { ?>
    <div class="dtr-copyright clearfix">
        <div class="container">
            <div class="row">
                <?php
		// get copyright columns
		if ( get_theme_mod( 'copr_copyright_columns', '2' ) ) { 
			$copyright_columns = get_theme_mod( 'copr_copyright_columns', '2' ); 
		} else { 
			$copyright_columns = '2'; 
		}
		if( $copyright_columns == '2' ){
			$copyright_column_col1 = 'col-12 col-md-6';
			$copyright_column_col2 = 'col-12 col-md-6';
		} else {
			$copyright_column_col1 = 'col-12 col-md-12';
		}
		?>
                <?php if( $copyright_columns == '1' || $copyright_columns == '2' ) { ?>
                <div class="<?php echo esc_attr( $copyright_column_col1 ) ?> <?php echo esc_attr( get_theme_mod( 'copyright_first_col_text_align', 'text-left' ) ); ?>">
                    <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('copyright-column-1') ) ?>
                </div>
                <?php } // copyright widgets area 1 ?>
                <?php if( $copyright_columns == '2' ) { ?>
                <div class="<?php echo esc_attr( $copyright_column_col2 ) ?> <?php echo esc_attr( get_theme_mod( 'copyright_second_col_text_align', 'text-right' ) );?>">
                    <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('copyright-column-2') ) ?>
                </div>
                <?php } // copyright widgets area 2 ?>
            </div>
        </div>
    </div>
    <?php } } ?>
</footer>
<?php endif; ?>
<?php if ( 'show' == get_theme_mod( 'copr_enable_scroll_top', 'show' ) ) { ?>
<a id="take-to-top" href="#" class="<?php echo esc_attr( get_theme_mod( 'copr_enable_mobile_scroll_top', '' ) ); ?>" aria-label="<?php esc_attr_e( 'Scroll To Top', 'copr' ); ?>"></a>
<?php } ?>
</div>
<!-- #dtr-wrapper -->
<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>