<?php
/**
 * The template for displaying header.
 *
 * @package CoprTheme
 * @version 1.0.0
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?><?php copr_schema_markup( 'html' ); ?> class="no-js no-svg">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?><?php copr_schema_markup( 'body' ); ?>>
<?php wp_body_open(); ?>
<div id="dtr-wrapper" class="clearfix">
<header id="dtr-main-header" <?php copr_schema_markup( 'header' ); ?>>
	<?php if( 'header-v1' == get_theme_mod( 'copr_header_layout', 'header-v3' ) ) {
    	get_template_part( '/template-parts/header/header-v1' );
    } elseif ( 'header-v2' == get_theme_mod( 'copr_header_layout', 'header-v3' ) ) {
    	get_template_part( '/template-parts/header/header-v2' );
    } elseif ( 'header-v3' == get_theme_mod( 'copr_header_layout', 'header-v3' ) ) {
    	get_template_part( '/template-parts/header/header-v3' );
    } elseif ( 'header-v4' == get_theme_mod( 'copr_header_layout', 'header-v3' ) ) {
    	get_template_part( '/template-parts/header/header-v4' );
    } else {
    	get_template_part( '/template-parts/header/header-v1' );
    }
    ?>
</header>