<?php
// blog section fields
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'select',
	'settings'    => 'copr_blog_layout',
	'label'       => esc_html__( 'Entries and Archives', 'copr' ),
	'section'     => 'copr_section_archive_settings',
	'default'     => 'dtr-right-sidebar',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
	     'dtr-fullwidth' 		=> esc_html__('No Sidebar', 'copr'),
		 'dtr-right-sidebar'	=> esc_html__('Right Sidebar', 'copr'),
         'dtr-left-sidebar' 	=> esc_html__('Left Sidebar', 'copr'),
	),
) );

// blog_entry_style
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'select',
	'settings'    => 'copr_blog_entry_style',
	'label'       => esc_html__( 'Posts Layout Style', 'copr' ),
	'section'     => 'copr_section_archive_settings',
	'default'     => 'dtr-blog-default',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
		'dtr-blog-default' 				=> esc_html__('Default', 'copr'),
		'dtr-blog-grid-masonry'			=> esc_html__('Masonry Grid - 2 column', 'copr'),
		'dtr-blog-grid-fitrows'			=> esc_html__('Grid - 2 column', 'copr'),
		'dtr-blog-grid-masonry-3col'	=> esc_html__('Masonry Grid - 3 column', 'copr'),
		'dtr-blog-grid-fitrows-3col'	=> esc_html__('Grid - 3 column', 'copr'),
	),
) );

// first_full_post_enable
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_first_full_post_enable',
	'label'       	 => esc_html__( 'Standard First Post', 'copr' ),
	'section'		 => 'copr_section_archive_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Yes', 'copr' ),
		'hide'	 => esc_html__( 'No', 'copr' ),
	),
) );

// date
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_blog_page_date_enable',
	'label'       	 => esc_html__( 'Date', 'copr' ),
	'section'		 => 'copr_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// author
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_blog_page_author_enable',
	'label'       	 => esc_html__( 'Author', 'copr' ),
	'section'		 => 'copr_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// category
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_blog_page_category_enable',
	'label'       	 => esc_html__( 'Category', 'copr' ),
	'section'		 => 'copr_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// sticky
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_blog_page_sticky_enable',
	'label'       	 => esc_html__( 'Icon For Sticky Post', 'copr' ),
	'section'		 => 'copr_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// blog_page_excerpt_enable
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_blog_page_excerpt_enable',
	'label'       	 => esc_html__( 'Excerpt', 'copr' ),
	'section'		 => 'copr_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// get_archive_excerpt_length
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'number',
	'settings'		 => 'copr_get_archive_excerpt_length',
	'label'			 => esc_html__( 'Excerpt Length', 'copr' ),
'description'		 => wp_kses( __("If excerpt is provided in excerpt box it will be displayed by default irrespective of excerpt length settings<br><br><strong>40&nbsp;&nbsp;</strong> - Some specific value<br><strong>1&nbsp;&nbsp;&nbsp;&nbsp;</strong> - For complete post content<br><strong>999</strong> - For upto more tag - Default", 'copr'), array( 'br' => array(), 'strong' => array(), ) ),
	'section'		 => 'copr_section_archive_settings',
	'default'        => '999',
	'priority'		 => 10,
) );

// read_more_enable
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_read_more_enable',
	'label'       	 => esc_html__( 'Read more link', 'copr' ),
	'help'    		 => esc_html__( 'Read more link can have backbround color. Settings can be found in - Typography and Styles - section', 'copr' ),
	'section'		 => 'copr_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// read_more_text
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'text',
	'settings'		 => 'copr_read_more_text',
	'label'			 => esc_html__( 'Read more link text', 'copr' ),
	'section'		 => 'copr_section_archive_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Continue Reading', 'copr' ),
	'active_callback'  => array(
		array(
			'setting'  => 'copr_read_more_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'copr_read_more_text' => array(
			'selector'        => '.dtr-post__button',
			'render_callback'	=> function() { 
				echo esc_html( get_theme_mod( 'copr_read_more_text' ) );
			},
		),
	),
	'transport'		 => 'auto',
) );

// single_post_layout
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'select',
	'settings'    => 'copr_single_post_layout',
	'label'       => esc_html__( 'Single Post Layout', 'copr' ),
	'section'     => 'copr_section_single_settings',
	'default'     => 'dtr-right-sidebar',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
	     'dtr-fullwidth' 		=> esc_html__('No Sidebar', 'copr'),
		 'dtr-right-sidebar'	=> esc_html__('Right Sidebar', 'copr'),
         'dtr-left-sidebar' 	=> esc_html__('Left Sidebar', 'copr'),
	),
) );

// date
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_single_date_enable',
	'label'       	 => esc_html__( 'Date', 'copr' ),
	'section'		 => 'copr_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// author
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_single_author_enable',
	'label'       	 => esc_html__( 'Author', 'copr' ),
	'section'		 => 'copr_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// category
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_single_category_enable',
	'label'       	 => esc_html__( 'Category', 'copr' ),
	'section'		 => 'copr_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// comment
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_single_comment_enable',
	'label'       	 => esc_html__( 'Comment Number', 'copr' ),
	'section'		 => 'copr_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// tags
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_single_tags_enable',
	'label'       	 => esc_html__( 'Tags', 'copr' ),
	'section'		 => 'copr_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// social_share_enable
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_social_share_enable',
	'label'       	 => esc_html__('Social Share', 'copr'),
	'section'		 => 'copr_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'text',
	'settings'		 => 'copr_share_title_text',
	'label'			 => esc_html__('Share Title', 'copr'),
	'section'		 => 'copr_section_post_share_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Share:', 'copr' ),
	'partial_refresh' => array(
		'copr_share_title_text' => array(
			'selector'        => '.dtr-social-share-title',
			'render_callback'	=> function() { 
		echo esc_html( get_theme_mod( 'copr_share_title_text' ) );
	},
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'copr_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
) );

// twitter_share_enable
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_twitter_share_enable',
	'label'       	 =>  esc_html__('Twitter in Share', 'copr'),
	'section'		 => 'copr_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'copr_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// twitter_handle_text
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'text',
	'settings'		 => 'copr_twitter_handle_text',
	'label'			 => esc_html__('Twitter Handle Text', 'copr'),
	'section'		 => 'copr_section_post_share_settings',
	'priority'		 => 10,
	'default'		 => '',
	'active_callback'  => array(
		array(
			'setting'  => 'copr_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'copr_twitter_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
) );

// facebook_share_enable
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_facebook_share_enable',
	'label'       	 =>  esc_html__('Facebook in Share', 'copr'),
	'section'		 => 'copr_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'copr_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// pinterest_share_enable
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_pinterest_share_enable',
	'label'       	 =>  esc_html__('Pinterest in Share', 'copr'),
	'section'		 => 'copr_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'copr_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// googleplus_share_enable
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_googleplus_share_enable',
	'label'       	 =>  esc_html__('Google in Share', 'copr'),
	'section'		 => 'copr_section_post_share_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'copr_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

//  linkedin_share_enable
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_linkedin_share_enable',
	'label'       	 =>  esc_html__('Linkedin in Share', 'copr'),
	'section'		 => 'copr_section_post_share_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'copr_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// home_title
copr_Kirki::add_field( 'copr_config', array(
	'type'			 	=> 'text',
	'settings'		 	=> 'copr_blog_title',
	'label'   		 	=>  esc_html__('Blog Page Title Text', 'copr'),
	'section'			=> 'copr_section_blog_page_title_settings',
	'priority'		 	=> 10,
	'partial_refresh'	=> array(
		'copr_blog_title'		=> array(
				'selector' 			=> '.blog .dtr-blog-title',
				'render_callback'	=> function() { 
		echo esc_html( get_theme_mod( 'copr_blog_title' ) );
	},
		),
	),
    'default'        	=> esc_html__('Blog', 'copr'),
	'transport'		 	=> 'auto',
) );

// featured image
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_archive_image_enable',
	'label'       	 => esc_html__( 'Archive / Blog Page', 'copr' ),
	'section'		 => 'copr_section_blog_featured_img_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_single_image_enable',
	'label'       	 => esc_html__( 'Single Post', 'copr' ),
	'section'		 => 'copr_section_blog_featured_img_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// copr_blog_archive_pagination_style
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'select',
	'settings'    => 'copr_blog_archive_pagination_style',
	'label'       => esc_html__( 'Archive Pagination Style', 'copr' ),
	'section'     => 'copr_section_pagination_settings',
	'default'     => 'numbered',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
		'numbered' 	=> esc_html__('Default - Numbered', 'copr'),
		'nextprev'	=> esc_html__('Prev / Next', 'copr'),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'		 => 'custom',
	'settings'	 => 'copr_pagers_style_settings',
	'label'		 => '',
	'section'	 => 'copr_section_pagination_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #222222; color: #fff;">' . esc_html__( 'All Pagers Color Settings', 'copr' ) . '</div>',
	'priority'	 => 10,
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_pager_bg_color',
	'label'			 => esc_html__( 'Background Color', 'copr' ),
	'section'		 => 'copr_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-previous-link a, .dtr-next-link a, .dtr-page-numbers a, a.page-numbers, span.page-numbers, .dtr-page-number, .current .dtr-page-number:hover' ),
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_pager_border_color',
	'label'			 => esc_html__( 'Border Color', 'copr' ),
	'section'		 => 'copr_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-page-numbers a, a.page-numbers, span.page-numbers, .dtr-previous-link a, .dtr-next-link a, .dtr-page-number' ),
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_pager_color',
	'label'			 => esc_html__( 'Color', 'copr' ),
	'section'		 => 'copr_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-page-number, .dtr-page-numbers a, a.page-numbers, span.page-numbers, .dtr-previous-link a, .dtr-next-link a' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_pager_hover_bg_color',
	'label'			 => esc_html__( 'Hover: Background Color', 'copr' ),
	'section'		 => 'copr_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-page-numbers a:hover, a.page-numbers:hover, span.page-numbers:hover, .page-numbers.current, .dtr-previous-link a:hover, .dtr-next-link a:hover, .post-page-numbers.current .dtr-page-number, .dtr-page-number:hover' ),
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_pager_hover_border_color',
	'label'			 => esc_html__( 'Hover: Border Color', 'copr' ),
	'section'		 => 'copr_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.page-numbers.current, .dtr-page-numbers a:hover, a.page-numbers:hover, .dtr-previous-link a:hover, .dtr-next-link a:hover, .dtr-page-number:hover, .post-page-numbers.current .dtr-page-number, .page-numbers.dots:hover' ),
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_pager_hover_color',
	'label'			 => esc_html__( 'Hover: Color', 'copr' ),
	'section'		 => 'copr_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-page-links a > span:hover, .dtr-page-links span:hover, .post-page-numbers.current .dtr-page-number, .dtr-page-numbers a:hover, a.page-numbers:hover, span.page-numbers:hover, .page-numbers.current, .dtr-previous-link a:hover, .dtr-next-link a:hover' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// single_nav
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'select',
	'settings'    => 'copr_single_pagination_style',
	'label'       => esc_html__( 'Single Post Pagination Style', 'copr' ),
	'section'     => 'copr_section_pagination_settings',
	'default'     => 'nextprev_nav',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
		'title_nav' 	=> esc_html__('Prev / Next and Post Titles', 'copr'),
		'nextprev_nav'	=> esc_html__('Only Prev / Next', 'copr'),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'text',
	'settings'		 => 'copr_prev_nav_text',
	'label'   		 =>  esc_html__('Previous Nav Text', 'copr'),
	'section'		 => 'copr_section_pagination_settings',
	'priority'		 => 10,
	'default'        => esc_html__('Previous Post', 'copr'),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'text',
	'settings'		 => 'copr_next_nav_text',
	'label'   		 =>  esc_html__('Next Nav Text', 'copr'),
	'section'		 => 'copr_section_pagination_settings',
	'priority'		 => 10,
	'default'        => esc_html__('Next Post', 'copr'),
	'transport'		 => 'auto',
) );

// single_nav
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'select',
	'settings'    => 'copr_single_portfolio_pagination_style',
	'label'       => esc_html__( 'Single Portfolio Post Pagination Style', 'copr' ),
	'section'     => 'copr_section_pagination_settings',
	'default'     => 'nextprev_nav',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
		'title_nav' 	=> esc_html__('Prev / Next and Post Titles', 'copr'),
		'nextprev_nav'	=> esc_html__('Only Prev / Next', 'copr'),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'text',
	'settings'		 => 'copr_portfolio_prev_nav_text',
	'label'   		 =>  esc_html__('Previous Nav Text', 'copr'),
	'section'		 => 'copr_section_pagination_settings',
	'priority'		 => 10,
	'default'        => esc_html__('Previous Project', 'copr'),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'text',
	'settings'		 => 'copr_portfolio_next_nav_text',
	'label'   		 =>  esc_html__('Next Nav Text', 'copr'),
	'section'		 => 'copr_section_pagination_settings',
	'priority'		 => 10,
	'default'        => esc_html__('Next Project', 'copr'),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'typography',
	'settings'    => 'copr_single_post_nav_typo',
	'label'       => esc_html__( 'Prev / Next Text - Typography', 'copr' ),
	'section'     => 'copr_section_pagination_settings',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-single-nav-text, .dtr-comments-nav-text',
		),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'typography',
	'settings'    => 'copr_single_post_nav_title_typo',
	'label'       => esc_html__( 'Title in Nav - Typography', 'copr' ),
	'section'     => 'copr_section_pagination_settings',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-single-nav-text.has-title',
		),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_single_post_nav_hover',
	'label'			 => esc_html__( 'Hover Color', 'copr' ),
	'section'		 => 'copr_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-single-nav-text:hover, .dtr-comments-nav-text:hover' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );


// relatedposts_enable
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_relatedposts_enable',
	'label'       	 => esc_html__( 'Related Posts on Single Post', 'copr' ),
	'section'		 => 'copr_section_related_posts_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// relatedposts_title
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'text',
	'settings'		 => 'copr_relatedposts_title',
	'label'			 => esc_html__( 'Related Posts Title Text', 'copr' ),
	'section'		 => 'copr_section_related_posts_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Related Posts', 'copr' ),
	'active_callback'  => array(
		array(
			'setting'  => 'copr_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'copr_relatedposts_title' => array(
			'selector'        => '.dtr-relatedposts-title',
			'render_callback'	=> function() { 
				echo esc_html( get_theme_mod( 'copr_relatedposts_title' ) );
			},
		),
	),
	'transport'		 => 'auto',
) );

// relatedposts_orderby
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'select',
	'settings'    => 'copr_relatedposts_orderby',
	'label'       => esc_html__( 'Sort Posts By', 'copr' ),
	'section'     => 'copr_section_related_posts_settings',
	'default'     => 'date',
	'priority'    => 10,
	'multiple'    => 1,
	'active_callback'  => array(
		array(
			'setting'  => 'copr_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices' => array(
		'date' 		=> esc_html__( 'Date', 'copr' ),
		'rand' 		=> esc_html__( 'Random', 'copr' ),
		'author'	=> esc_html__( 'Author', 'copr' ),
		'title'		=> esc_html__( 'Title', 'copr' ),
	),
) );

// relatedposts_order
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'select',
	'settings'    => 'copr_relatedposts_order',
	'label'       => esc_html__( 'Order Posts By', 'copr' ),
	'section'     => 'copr_section_related_posts_settings',
	'default'     => 'DESC',
	'priority'    => 10,
	'multiple'    => 1,
	'active_callback'  => array(
		array(
			'setting'  => 'copr_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices' => array(
		'DESC' 		=> esc_html__( 'Descending', 'copr' ),
		'ASC' 		=> esc_html__( 'Ascending', 'copr' ),
	),
) );

// relatedposts_limit
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'number',
	'settings'		 => 'copr_relatedposts_limit',
	'label'			 => esc_html__( 'Number of Posts to show ( 3 / 6 / 9)', 'copr' ),
	'section'		 => 'copr_section_related_posts_settings',
	'default'        => '3',
	'priority'		 => 10,
) );

// relatedposts_thumb_enable
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_relatedposts_thumb_enable',
	'label'       	 => esc_html__( 'Image', 'copr' ),
	'section'		 => 'copr_section_related_posts_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'copr_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// relatedposts_date_enable
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_relatedposts_title_enable',
	'label'       	 => esc_html__( 'Title', 'copr' ),
	'section'		 => 'copr_section_related_posts_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'copr_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_relatedposts_author_enable',
	'label'       	 => esc_html__( 'Author', 'copr' ),
	'section'		 => 'copr_section_related_posts_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'copr_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_relatedposts_date_enable',
	'label'       	 => esc_html__( 'Date', 'copr' ),
	'section'		 => 'copr_section_related_posts_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'copr_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// blog starts
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'typography',
	'settings'    => 'copr_archive_post_title_typo',
	'label'       => esc_html__( 'Heading', 'copr' ),
	'section'     => 'copr_section_blog_archives_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-archive-post-title, .dtr-archive-post-title a',
		),
	),
) );

// archive blog meta
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'typography',
	'settings'    => 'copr_archive_meta_typo',
	'label'       => esc_html__( 'Blog Meta', 'copr' ),
	'section'     => 'copr_section_blog_archives_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-entry-meta, .wp-block-latest-posts__post-author, .wp-block-latest-posts__post-date',
		),
	),
) );

// blog meta
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_archive_meta_color',
	'label'			 => esc_html__( 'Blog Meta Color', 'copr' ),
	'section'		 => 'copr_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-entry-meta, .dtr-entry-meta a, .wp-block-latest-posts__post-author, .wp-block-latest-posts__post-date',
			'property'	=> 'color',
		),
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_archive_meta_divider_color',
	'label'			 => esc_html__( 'Blog Meta Divider Color', 'copr' ),
	'section'		 => 'copr_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-entry-meta .dtr-meta-item::after',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

// blog meta hover
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_archive_meta_hover_color',
	'label'			 => esc_html__( 'Blog Meta Hover Color', 'copr' ),
	'section'		 => 'copr_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-entry-meta a:hover',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// cat
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'typography',
	'settings'    => 'copr_archive_cat_typo',
	'label'       => esc_html__( 'Category', 'copr' ),
	'section'     => 'copr_section_blog_archives_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-meta-category a',
		),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_archive_cat_link_color',
	'label'			 => esc_html__( 'Color', 'copr' ),
	'section'		 => 'copr_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-meta-category',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_archive_cat_icon_color',
	'label'			 => esc_html__( 'Icon Color', 'copr' ),
	'section'		 => 'copr_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-meta-category::before',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_archive_cat_bg_color',
	'label'			 => esc_html__( 'Background Color', 'copr' ),
	'section'		 => 'copr_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-meta-category',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_archive_cat_border_color',
	'label'			 => esc_html__( 'Border Color', 'copr' ),
	'section'		 => 'copr_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-meta-category',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

// single post
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'typography',
	'settings'    => 'copr_single_post_title_typo',
	'label'       => esc_html__( 'Heading', 'copr' ),
	'section'     => 'copr_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-single-post-title .dtr-page-title',
		),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'copr_sm_post_title_size',
    'label'   				=>  esc_html__('Heading Size: For Small Screens', 'copr'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'copr' ),
	'section'		 		=> 'copr_section_blog_single_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

// single meta
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'typography',
	'settings'    => 'copr_single_meta_typo',
	'label'       => esc_html__( 'Blog Meta', 'copr' ),
	'section'     => 'copr_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-single-meta',
		),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_single_meta_color',
	'label'			 => esc_html__( 'Blog Meta Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-single-meta, .dtr-single-meta a',
			'property'	=> 'color',
		),
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_single_meta_divider_color',
	'label'			 => esc_html__( 'Blog Meta Divider Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-single-meta .dtr-meta-item::after',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_single_meta_hover_color',
	'label'			 => esc_html__( 'Blog Meta Hover Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-single-meta a:hover',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// cat
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'typography',
	'settings'    => 'copr_single_cat_typo',
	'label'       => esc_html__( 'Category', 'copr' ),
	'section'     => 'copr_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-single-pre-meta .dtr-meta-category a',
		),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_single_cat_link_color',
	'label'			 => esc_html__( 'Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-single-pre-meta .dtr-meta-category',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_single_cat_icon_color',
	'label'			 => esc_html__( 'Icon Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-single-pre-meta .dtr-meta-category a::before',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_single_cat_bg_color',
	'label'			 => esc_html__( 'Background Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-single-pre-meta .dtr-meta-category',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_single_cat_border_color',
	'label'			 => esc_html__( 'Border Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-single-pre-meta .dtr-meta-category',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

// tags
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'typography',
	'settings'    => 'copr_blog_tag_share_typo',
	'label'       => esc_html__( 'Tags / Share Title', 'copr' ),
	'section'     => 'copr_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-tag-title, .dtr-social-share-title',
		),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'typography',
	'settings'    => 'copr_tags_typo',
	'label'       => esc_html__( 'Post Tags / Tagcloud Tags', 'copr' ),
	'section'     => 'copr_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.wp-block-tag-cloud a, .dtr-post-tags a',
		),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_tags_bg_color',
	'label'			 => esc_html__( 'Background Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.wp-block-tag-cloud a, .dtr-post-tags a',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_tags_border_color',
	'label'			 => esc_html__( 'Border Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.wp-block-tag-cloud a, .dtr-post-tags a',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

// tag hover
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_tags_hover_color',
	'label'			 => esc_html__( 'Hover : Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-post-tags a:hover, .wp-block-tag-cloud a:hover',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_tags_hover_bg_color',
	'label'			 => esc_html__( 'Hover : Background Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-post-tags a:hover, .wp-block-tag-cloud a:hover',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_tags_hover_border_color',
	'label'			 => esc_html__( 'Hover : Border Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-post-tags a:hover, .wp-block-tag-cloud a:hover',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

// comment reply
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'typography',
	'settings'    => 'copr_comment_reply_typo',
	'label'       => esc_html__( 'Comment reply Link', 'copr' ),
	'section'     => 'copr_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-reply a',
		),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_comment_reply_bg_color',
	'label'			 => esc_html__( 'Background Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-reply a',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_comment_reply_hover_bg_color',
	'label'			 => esc_html__( 'Hover : Background Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-reply a:hover',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_comment_reply_hover_color',
	'label'			 => esc_html__( 'Hover : Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-reply a:hover',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// comment 
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'typography',
	'settings'    => 'copr_blog_comment_heading_typo',
	'label'       => esc_html__( 'Comment Section Title / Related Posts Section Title', 'copr' ),
	'section'     => 'copr_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.comments-title, .comment-reply-title, .dtr-relatedposts-title',
		),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_blog_comment_heading_color',
	'label'			 => esc_html__( 'Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.comments-title, .comment-reply-title, .dtr-relatedposts-title',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'typography',
	'settings'    => 'copr_blog_comment_meta_typo',
	'label'       => esc_html__( 'Comment Meta Data', 'copr' ),
	'section'     => 'copr_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-comment-date, .comment-edit-link',
		),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_blog_comment_meta_color',
	'label'			 => esc_html__( 'Comment Meta Data Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-comment-date, .comment-edit-link',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_blog_comment_meta_hover_color',
	'label'			 => esc_html__( 'Comment Meta Data Hover Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-comment-date:hover, .comment-edit-link:hover',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_related_posts_bg_color',
	'label'			 => esc_html__( 'Related Posts Section Background Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-relatedposts',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'typography',
	'settings'    => 'copr_related_posts_heading_typo',
	'label'       => esc_html__( 'Heading', 'copr' ),
	'section'     => 'copr_section_blog_single_typo',
	'default'     => array(
		'color'      	 => '',
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-relatedpost-heading a',
		),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_related_posts_meta',
	'label'			 => esc_html__( 'Meta Data Color', 'copr' ),
	'section'		 => 'copr_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-relatedposts-item .dtr-meta a',
			'property'	=> 'color',
		),
		array(
			'element' 	=> '.dtr-relatedposts-item .dtr-meta-item::after',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );