<?php
copr_Kirki::add_field( 'copr_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'copr_site_pages_top_padding',
		'label'		 	=> esc_html__( 'Padding Top to Pages / Posts', 'copr' ),
		'description'	=> esc_html__( 'This will work for non elementor pages. Provide unit. Ex. 100px', 'copr' ),
		'section'     	=> 'copr_section_pages',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '#dtr-main-wrapper',
			'property'	 => 'padding-top',
			)
		),
	)
);

copr_Kirki::add_field( 'copr_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'copr_site_pages_bottom_padding',
		'label'		 	=> esc_html__( 'Padding Bottom to Pages / Posts', 'copr' ),
		'description'	=> esc_html__( 'This will work for non elementor pages. Provide unit. Ex. 100px', 'copr' ),
		'section'     	=> 'copr_section_pages',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '#dtr-main-wrapper',
			'property'	 => 'padding-bottom',
			)
		),
	)
);

copr_Kirki::add_field( 'copr_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'copr_ele_posts_top_padding',
		'label'		 	=> esc_html__( 'Padding Top to Elementor Posts', 'copr' ),
		'description'	=> esc_html__( 'This will work for single posts edited with elementor, in case need to set top padding at once to all posts. Provide unit. Ex. 100px', 'copr' ),
		'section'     	=> 'copr_section_pages',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '.elementor-default.elementor-page.single-post #dtr-main-wrapper',
			'property'	 => 'padding-top',
			'suffix'	 => ' !important',
			)
		),
	)
);

copr_Kirki::add_field( 'copr_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'copr_ele_posts_bottom_padding',
		'label'		 	=> esc_html__( 'Padding Bottom to Elementor Posts', 'copr' ),
		'description'	=> esc_html__( 'This will work for single posts edited with elementor, in case need to set top padding at once to all posts. Provide unit. Ex. 100px', 'copr' ),
		'section'     	=> 'copr_section_pages',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '.elementor-default.elementor-page.single-post #dtr-main-wrapper',
			'property'	 => 'padding-bottom',
			'suffix'	 => ' !important',
			)
		),
	)
);
// page layout
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'select',
	'settings'    => 'copr_page_layout',
	'label'       => esc_html__( 'Global Page Layout Style', 'copr' ),
	'description' => esc_html__( 'Can be override individually for page.', 'copr' ),
	'section'     => 'copr_section_pages',
	'default'     => 'dtr-fullwidth',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'dtr-fullwidth' 	=> esc_html__('No Sidebar', 'copr'),
		'dtr-right-sidebar'	=> esc_html__('Right Sidebar', 'copr'),
		'dtr-left-sidebar' 	=> esc_html__('Left Sidebar', 'copr'),
	),
) );

// page comments
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'checkbox',
	'settings'    => 'copr_enable_page_comments',
	'label'       => esc_html__( 'Comments on pages', 'copr' ),
	'section'	  => 'copr_section_pages',
	'default'     => '1',
	'priority'    => 10,
) );

// schema
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'checkbox',
	'settings'    => 'copr_enable_schema_markup',
	'label'       => esc_html__( 'Enable Schema Markup', 'copr' ),
	'section'     => 'copr_section_seo',
	'default'     => '1',
	'priority'    => 10,
) );