<?php
// misc section fields
// search_form_text
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'text',
	'settings'		 => 'copr_search_form_text',
	'label'   		 =>  esc_html__('Search Form Text', 'copr'),
	'section'		 => 'copr_section_search_settings',
	'priority'		 => 10,
	'default'        => esc_html__('Search...', 'copr'),
	'transport'		 => 'auto',
) );

// search_modal_title
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'text',
	'settings'		 => 'copr_search_modal_title',
	'label'			 => esc_html__( 'Modal Search Title', 'copr' ),
	'section'		 => 'copr_section_search_settings',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'copr_header_search_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'copr_search_modal_title' => array(
			'selector'        => '.dtr-search-modal-title',
			'render_callback'	=> function() { 
		echo esc_html( get_theme_mod( 'copr_search_modal_title' ) );
	},
		),
	),
	'default'        => esc_html__("What you are looking for?", 'copr'),
	'transport'		 => 'auto',
) );

// 404_heading
copr_Kirki::add_field( 'copr_config', array(
	'type'			 	=> 'text',
	'settings'		 	=> 'copr_404_heading',
	'label'   		 	=>  esc_html__('404 Main Heading', 'copr'),
	'section'			=> 'copr_section_404_settings',
	'priority'		 	=> 10,
	'partial_refresh'	=> array(
		'copr_404_heading'		=> array(
				'selector' 			=> '.heading-404',
				'render_callback'	=> function() { 
		echo esc_html( get_theme_mod( 'copr_404_heading' ) );
	},
		),
	),
    'default'        	=> esc_html__('404', 'copr'),
	'transport'		 	=> 'auto',
) );

// subtext
copr_Kirki::add_field( 'copr_config', array(
	'type'			 	=> 'text',
	'settings'		 	=> 'copr_404_subtext',
	'label'   			=>  esc_html__('404 Sub Text', 'copr'),
	'section'		 	=> 'copr_section_404_settings',
	'priority'		 	=> 10,
	'partial_refresh'	=> array(
	'copr_404_text'	=> array(
	'selector' 			=> '.error-form-wrapper h4',
	'render_callback'	=> function() { 
		echo esc_html( get_theme_mod( 'copr_404_subtext' ) );
		},
	),
	),
	'default'        	=> esc_html__('Oops...', 'copr'),
	'transport'		 	=> 'auto',
) );

// text
copr_Kirki::add_field( 'copr_config', array(
	'type'			 	=> 'text',
	'settings'		 	=> 'copr_404_text',
	'label'   			=>  esc_html__('404 Text', 'copr'),
	'section'		 	=> 'copr_section_404_settings',
	'priority'		 	=> 10,
	'partial_refresh'	=> array(
	'copr_404_text'	=> array(
	'selector' 			=> '.error-form-wrapper p',
	'render_callback'	=> function() { 
		echo esc_html( get_theme_mod( 'copr_404_text' ) );
		},
	),
	),
	'default'        	=> esc_html__('We are sorry, but something went wrong.', 'copr'),
	'transport'		 	=> 'auto',
) );

// 404_link_text
copr_Kirki::add_field( 'copr_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'copr_404_link_text',
    'label'   				=>  esc_html__('Back to Home Link Text', 'copr'),
	'section'		 		=> 'copr_section_404_settings',
	'priority'		 		=> 10,
	'partial_refresh' 		=> array(
	'copr_404_link_text'	=> array(
	'selector' 			=> '.link-404',
	'render_callback'	=> function() { 
		echo esc_html( get_theme_mod( 'copr_404_link_text' ) );
		},
	),
	),
	'default'        		=> esc_html__('Back To Home', 'copr'),
	'transport'		 		=> 'auto',
) );

// demo_import_notification_enable
copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'checkbox',
	'settings'    => 'copr_demo_import_notification_enable',
	'label'       => esc_html__( 'Enable Demo Import Plugin Notification', 'copr' ),
	'description' => esc_html__( 'Uncheck to disable Demo Import Plugin notification, once you finish demo import, as it is unnecessary later.', 'copr' ),
	'section'	  => 'copr_section_demo_import_settings',
	'default'     => '1',
	'priority'    => 10,
) );

// elementor pro mod
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_elementor_pro_mod',
	'label'       	 => esc_html__( 'Elementor Pro Elements Hide For Free Version', 'copr' ),
	'description'	 => esc_html__( 'If Elementor Pro is active then Pro elements will show up irrespective of this setting.', 'copr' ),
	'section'		 => 'copr_section_elementor_misc_settings',
	'default'     	 => 'yes',
	'priority'		 => 10,
	'choices'		 => array(
		'yes'	 => esc_html__( 'Yes', 'copr' ),
		'no'	 => esc_html__( 'No', 'copr' ),
	),
) );