<?php
/**
 * Blog functions
 *
 * @package CoprTheme
 * @version 1.0.0
 */
 
/**
 * Modify tag cloud widget 
 */
if ( ! function_exists( 'copr_tag_cloud_widget' ) ) :
add_filter('wp_generate_tag_cloud', 'copr_tag_cloud_widget',10,1);
function copr_tag_cloud_widget($input){
  return preg_replace('/ style=("|\')(.*?)("|\')/','',$input);  
}
endif;

/**
 * Blog classes
 */
if ( ! function_exists( 'copr_blog_classes' ) ) :
	function copr_blog_classes( $classes = NULL ) {
		if ( 'dtr-blog-grid-masonry' == get_theme_mod( 'copr_blog_entry_style', 'dtr-blog-default' ) ) {
			$classes = 'dtr-blog-grid dtr-blog-grid-masonry';
		} elseif ( 'dtr-blog-grid-masonry-3col' == get_theme_mod( 'copr_blog_entry_style', 'dtr-blog-default' ) ) {
			$classes = 'dtr-blog-grid dtr-blog-grid-3col dtr-blog-grid-masonry';
		} elseif ( 'dtr-blog-grid-fitrows-3col' == get_theme_mod( 'copr_blog_entry_style', 'dtr-blog-default' ) ) {
			$classes = 'dtr-blog-grid dtr-blog-grid-3col dtr-blog-grid-fitrows';
		} elseif ( 'dtr-blog-grid-fitrows' == get_theme_mod( 'copr_blog_entry_style', 'dtr-blog-default' ) ) {
			$classes = 'dtr-blog-grid dtr-blog-grid-fitrows';
		} elseif ( 'dtr-blog-left-thumb' == get_theme_mod( 'copr_blog_entry_style', 'dtr-blog-default' ) ) {
			$classes = 'dtr-blog-left-thumb';
		} else {
			$classes = 'dtr-blog-default';
		}
		return $classes;
	}
endif;

/**
 * First post class
 */
add_filter( 'post_class', 'copr_mark_first_post' );
if ( ! function_exists( 'copr_mark_first_post' ) ) :
function copr_mark_first_post( $classes ) {
    global $wp_query;
    if( 0 == $wp_query->current_post )
        $classes[] = 'dtr-first-post';
        return $classes;
}
endif;

/**
 * First Post
 */
if ( ! function_exists( 'copr_first_post_classes' ) ) :
	function copr_first_post_classes( $classes = NULL ) {
		if ( 'show' == get_theme_mod( 'copr_first_full_post_enable', 'hide' ) ) {
			$classes = 'has-full-first-post';
		} else {
			$classes = '';
		}
		return $classes;
	}
endif;