<?php
defined( 'ABSPATH' ) || exit;
/**
 * Returns array of recommended plugins.
 */
function copr_recommended_plugins() {
	$plugins = [];

	// Required Plugins.
	$plugins['dtr-copr-core'] = [
		'name'               => 'Copr Core',
		'slug'               => 'dtr-copr-core',
		'version'            => COPR_CORE_PLUGIN_CURRENT_VERSION,
		'source'             => get_template_directory() . '/includes/plugins/dtr-copr-core.zip',
		'required'           => true,
		'force_activation'   => false,
	];

	$plugins['dtr-copr-elementor-addon'] = [
		'name'             => 'Copr Elementor Addons',
		'slug'             => 'dtr-copr-elementor-addon',
		'source'           => get_template_directory() . '/includes/plugins/dtr-copr-elementor-addon.zip',
		'version'          => COPR_ELEMENTOR_ADDON_PLUGIN_CURRENT_VERSION,
		'required'         => true,
		'force_activation' => false,
	];
	
	$plugins['elementor'] = [
		'name'             => 'Elementor',
		'slug'             => 'elementor',
		'required'         => true,
		'force_activation' => false,
	];
	
	$plugins['kirki'] = [
		'name'             => 'Kirki Customizer Framework',
		'slug'             => 'kirki',
		'required'         => true,
		'force_activation' => false,
	];
	
	$plugins['contact-form-7'] = [
		'name'             => 'Contact Form 7',
		'slug'             => 'contact-form-7',
		'required'         => false,
		'force_activation' => false,
	];

	
	if ( true == get_theme_mod( 'copr_demo_import_notification_enable', true ) ) { 
		$plugins['one-click-demo-import'] = [
			'name'             => 'One Click Demo Import',
			'slug'             => 'one-click-demo-import',
			'required'         => false,
			'force_activation' => false,
		];
	}
	
	/**
	 * Filters the recommended plugins list.
	 *
	 * @param array $plugins
	 */
	$plugins = (array) apply_filters( 'copr_recommended_plugins', $plugins );

	return $plugins;
}

/**
 * Register recommended plugins with the tgmpa script.
 */
if ( is_admin() ) {
	
	if ( ! class_exists( 'TGM_Plugin_Activation' ) ) {
		require_once ( get_template_directory() . '/includes/class-tgm-plugin-activation.php' );
	}

	function copr_register_tgmpa() {
		$plugins = copr_recommended_plugins();
		tgmpa( $plugins, [
			'id'           => 'copr_theme',
			'domain'       => 'copr',
			'menu'         => 'tgmpa-install-plugins',
			'parent_slug'  => 'themes.php',
			'has_notices'  => true,
			'is_automatic' => true,
			'dismissable'  => true,
		] );
	}

	add_action( 'tgmpa_register', 'copr_register_tgmpa' );
}