<?php
/**
 * The template for displaying testimonial details.
 *
 * @package CoprTheme
 * @version 1.0.0
 */
get_header(); 
$title_align = get_theme_mod( 'copr_page_title_section_align', 'text-left' );
?>
<?php if ( 'show' == get_theme_mod( 'copr_testimonial_single_header', 'show' ) ) { ?>
<div class="dtr-page-title-main <?php echo esc_attr( $title_align ); ?>">
    <div class="dtr-page-title-wrapper">
        <div class="dtr-page-title-overlay"></div>
        <div class="container">
            <?php if ( 'show' == get_theme_mod( 'copr_testimonial_single_heading', 'show' ) ) { ?>
            <h1 class="dtr-page-title" <?php copr_schema_markup( 'headline' ); ?>>
                <?php the_title() ?>
            </h1>
            <?php } ?>
            <?php if ( function_exists('bcn_display_list') && 'show' == get_theme_mod( 'copr_testimonial_single_breadcrumb', 'show' ) ) { ?>
            <div class="dtr-breadcrumb-wrapper">
                <?php get_template_part( '/template-parts/header/breadcrumb' ); ?>
            </div>
            <?php } ?>
        </div>
    </div>
</div>
<?php } ?>
<!-- #page header -->
<div id="dtr-main-wrapper" class="container clearfix dtr-fullwidth">
    <main id="dtr-primary-section" class="dtr-content-area" <?php copr_schema_markup( 'main' ); ?>>
        <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
        <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
            <?php if ( 'show' == get_theme_mod( 'copr_testimonial_single_image', 'show' ) ) { ?>
            <div class="dtr-testimonial-thumb">
                <?php the_post_thumbnail(); ?>
            </div>
            <?php } ?>
            <div class="entry-content">
                <?php the_content(); ?>
            </div>
        </article>
        <?php endwhile; ?>
        <?php endif; ?>
    </main>
</div>
<!-- #dtr-main-wrapper -->
<div class="dtr-single-post-nav-wrapper clearfix">
    <div class="container">
		<?php // post nav
		if ( 'title_nav' == get_theme_mod( 'copr_single_pagination_style', 'nextprev_nav' ) ) {
			copr_title_post_nav();
		} else {
			copr_post_nav(); 
		}  ?>
    </div>
</div>
<?php get_footer();