<?php
/**
 * Template for displaying header v1
 *
 * @package CoprTheme
 * @version 1.0.0
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}  
?>
<?php if ( 'show' == get_theme_mod( 'copr_topbar_enable', 'hide' ) ) { ?>
<?php if ( is_active_sidebar( 'widget-header-three' ) && 'show' == get_theme_mod( 'copr_header_widget_area_three_enable', 'hide' ) || is_active_sidebar( 'widget-header-two' ) && 'show' == get_theme_mod( 'copr_header_widget_area_two_enable', 'hide' ) ) { ?>
<div id="dtr-topbar" class="clearfix">
    <div class="dtr-topbar-content">
        <?php if ( is_active_sidebar( 'widget-header-two' ) && 'show' == get_theme_mod( 'copr_header_widget_area_two_enable', 'hide' ) ) { ?>
        <div class="dtr-topbar-left dtr-header-widget-two">
            <?php dynamic_sidebar( 'widget-header-two' ); ?>
        </div>
        <?php } ?>
        <?php if ( is_active_sidebar( 'widget-header-three' ) && 'show' == get_theme_mod( 'copr_header_widget_area_three_enable', 'hide' ) ) { ?>
        <div class="dtr-topbar-right dtr-header-widget-three">
            <?php dynamic_sidebar( 'widget-header-three' ); ?>
        </div>
        <?php } ?>
    </div>
</div>
<?php } ?>
<?php } ?>
<div id="dtr-header-global" class="clearfix">
    <div class="dtr-header-global-content">
        <div class="dtr-header-left">
            <?php get_template_part( '/template-parts/header/logo' ); ?>
            <?php get_template_part( '/template-parts/header/logo-alt' ); ?>
        </div>
        <?php if ( 'show' == get_theme_mod( 'copr_header_menubar_enable', 'show' ) ) { ?>
        <div class="main-navigation dtr-menu-default ms-auto" <?php copr_schema_markup( 'site_navigation' ); ?>>
            <?php get_template_part( '/template-parts/header/main-menu' ); ?>
        </div>
        <?php } ?>
        <?php if ( is_active_sidebar( 'widget-header-one' ) && 'show' == get_theme_mod( 'copr_header_widget_area_one_enable', 'hide' ) ) { ?>
        <div class="dtr-header-widget-one dtr-header-widget-wrapper clearfix">
            <?php dynamic_sidebar( 'widget-header-one' ); ?>
        </div>
        <?php } ?>
        <?php if ( 'show' == get_theme_mod( 'copr_header_search_enable', 'hide' ) ) { ?>
        <a href="#dtr-search-modal" role="button" class="dtr-search-modal-trigger" aria-label="<?php esc_attr_e( 'Search Modal Button', 'copr' ); ?>"></a>
        <?php } ?>
    </div>
</div>
<?php get_template_part( '/template-parts/header/responsive-header' ); ?>
<?php if ( 'show' == get_theme_mod( 'copr_header_search_enable', 'hide' ) ) { 
	get_template_part( '/template-parts/header/search-modal' ); 
}