<?php
/**
 * Template for displaying header v3
 *
 * @package CoprTheme
 * @version 1.0.0
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}  
?>
<?php if ( 'show' == get_theme_mod( 'copr_header_menubar_enable', 'show' ) ) { ?>
    <a href="#" class="dtr-navigation-trigger">Menu<span></span></a>
    <a href="#" class="dtr-navigation-close-trigger" aria-label="Menu Close Button"></a>
    <div class="dtr-sidemenu-scroll"></div>
    <div class="dtr-sidemenu-wrapper" <?php copr_schema_markup( 'site_navigation' ); ?>>
    <?php get_template_part( '/template-parts/header/main-menu' ); ?>
    </div>
<?php } ?>      
<div id="dtr-header-global" class="fixed-top">
    <div class="dtr-header-global-content">
        <div class="dtr-header-left">
            <?php get_template_part( '/template-parts/header/logo' ); ?>
            <?php get_template_part( '/template-parts/header/logo-alt' ); ?>
        </div>
        <div class="dtr-header-right">
            <?php if ( is_active_sidebar( 'widget-header-one' ) && 'show' == get_theme_mod( 'copr_header_widget_area_one_enable', 'hide' ) ) { ?>
            <div class="dtr-header-widget-one dtr-header-widget-wrapper clearfix">
                <?php dynamic_sidebar( 'widget-header-one' ); ?>
            </div>
            <?php } ?>
            <?php if ( 'show' == get_theme_mod( 'copr_header_search_enable', 'hide' ) ) { ?>
            <a href="#dtr-search-modal" role="button" class="dtr-search-modal-trigger" aria-label="<?php esc_attr_e( 'Search Modal Button', 'copr' ); ?>"></a>
            <?php } ?>
        </div>
       
    </div>
</div>
<?php get_template_part( '/template-parts/header/responsive-header' ); ?>
<?php if ( 'show' == get_theme_mod( 'copr_header_search_enable', 'hide' ) ) { 
	get_template_part( '/template-parts/header/search-modal' ); 
}