<?php
/**
 * Blog single post meta
 *
 * @package CoprTheme
 * @version 1.0.0
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
if (  'show' == get_theme_mod( 'copr_single_author_enable', 'show' ) || 'show' == get_theme_mod( 'copr_single_date_enable', 'show' ) || 'show' == get_theme_mod( 'copr_single_comment_enable', 'show' ) ) { ?>
<div class="dtr-meta dtr-single-meta">
    <?php if (  'show' == get_theme_mod( 'copr_single_date_enable', 'show' ) ) { ?>
    <div class="dtr-meta-item dtr-meta-date"><span class="entry-date updated" <?php copr_schema_markup( 'publish_date' ); ?>><?php echo esc_html( get_the_date() ); ?></span></div>
    <?php } ?>
    <?php if (  'show' == get_theme_mod( 'copr_single_author_enable', 'show' ) ) { ?>
    <div class="dtr-meta-item dtr-meta-author"><span class="vcard author" <?php copr_schema_markup( 'author_name' ); ?>><span class="fn" <?php copr_schema_markup( 'author_link' ); ?>> <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) ?>"><?php echo esc_html( get_the_author() ) ?></a> </span></span> </div>
    <?php } ?>
    <?php if ( 'show' == get_theme_mod( 'copr_single_comment_enable', 'show' ) ) { ?>
    <div class="dtr-meta-item dtr-meta-comment">
        <?php comments_popup_link( esc_html__( '0 Comments', 'copr' ), esc_html__( '1 Comment',  'copr' ), esc_html__( '% Comments', 'copr' ), 'dtr-comments-link' ); ?>
    </div>
    <?php } ?>
</div>
<?php }