<?php
/**
 * The Template for recent posts on single post
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 
// display if enabled via customiser
if (  'show' == get_theme_mod( 'copr_relatedposts_enable', 'hide' ) ) : 
// vars
$relatedposts_title	= get_theme_mod( 'copr_relatedposts_title', esc_html__( 'Related Posts', 'copr') );
$orderby 			= get_theme_mod( 'copr_relatedposts_orderby', 'date' );
$order 				= get_theme_mod( 'copr_relatedposts_order', 'DESC' );
$limit 				= get_theme_mod( 'copr_relatedposts_limit', '3' );
// Default arguments
$args = array(
	'post_type'      		=> '',
	'posts_per_page' 		=> esc_html( $limit ),
	'orderby'        		=> esc_html( $orderby ),
	'order'          		=> esc_html( $order ), 
	'post_status'    		=> 'publish',
	'ignore_sticky_posts'	=> true,
	'post__not_in'   		=> array( get_the_ID() ), 
	'no_found_rows'  		=> true, 
);
$cats = wp_get_post_terms( get_the_ID(), 'category' ); 
$cats_ids = array();  
foreach( $cats as $related_cats ) {
	$cats_ids[] = $related_cats->term_id; 
}
if ( ! empty( $cats_ids ) ) {
	$args['category__in'] = $cats_ids;
}
// Query posts
$dtr_query = new wp_query( $args );
echo '<div class="dtr-relatedposts clearfix"><div class="container">';
echo '<h3 class="dtr-relatedposts-title">' . esc_html( $relatedposts_title ) . '</h3>';
echo '<div class="dtr-relatedposts-grid">';
// start loop
foreach( $dtr_query->posts as $post ) : setup_postdata( $post );
echo '<div class="dtr-relatedposts-item">';
$permalink			= get_permalink();
$thumb_title		= get_the_title();	
$thumb_id 			= get_post_thumbnail_id();
$thumb_url_array	= wp_get_attachment_image_src($thumb_id, 'full', true);
$thumb_url 			= $thumb_url_array[0];
	// thumbnail
	if(  'show' == get_theme_mod( 'copr_relatedposts_thumb_enable', 'show' ) && has_post_thumbnail() ) {
		echo  '<div class="dtr-relatedpost-img dtr-entry-thumb"><a href="' . esc_url( $permalink ) . '" rel="bookmark"><img src="' . esc_url( $thumb_url ) . '" alt="' .  esc_attr( $thumb_title ) . '"></a></div>';
	}	
	// title
	if( 'show' == get_theme_mod( 'copr_relatedposts_title_enable', 'show' ) ) {
	echo '<h5 class="dtr-relatedpost-heading"><a href="' . esc_url( $permalink ) . '" rel="bookmark">' . esc_html( get_the_title() ) . '</a></h5>';
	} // title	
	// meta
	echo '<div class="dtr-meta">';
		if( 'show' == get_theme_mod( 'copr_relatedposts_author_enable', 'show' ) ) {
			echo '<a class="dtr-meta-item dtr-meta-author" href="' . esc_url(get_author_posts_url(get_the_author_meta( 'ID' ))) . '">' . esc_html(get_the_author()) . '</a>';
		}
		if( 'show' == get_theme_mod( 'copr_relatedposts_date_enable', 'show' ) ) {
			echo '<a class="dtr-meta-item dtr-meta-date" href="' . esc_url( $permalink ) . '" rel="bookmark">' . get_the_date() . '</a>';
		}
	echo '</div>';
echo '</div>'; // item
// end loop
endforeach;
echo '</div></div></div>';
wp_reset_postdata();
endif;