<?php
/*------------------------------------------------------------
 * Table of Contents
 * Testimonial Carousel
 * Recent Posts Carousel
 * Portfolio
 *------------------------------------------------------------*/
/*
 * @param $content
 * @param bool $autop
 * @return string
 */
if ( ! function_exists( 'copr_remove_wpautop' ) ) {
	function copr_remove_wpautop( $content, $autop = false ) {
		if ( $autop ) { // Possible to use !preg_match('('.WPBMap::getTagsRegexp().')', $content)
			$content = wpautop( preg_replace( '/<\/?p\>/', "\n", $content ) . "\n" );
		}
		return do_shortcode( shortcode_unautop( $content ) );
	}
}

/*------------------------------------------------------------
 * Testimonial Carousel
 * @since 1.0
 *------------------------------------------------------------*/
if ( ! function_exists( 'copr_testimonial_carousel_sc' ) ) {
	function copr_testimonial_carousel_sc( $atts, $content = null ) {
		extract ( shortcode_atts( array(
			'limit'     	=> -1,
			'order'     	=> 'DESC',
			'orderby'		=> 'date',
			'image'			=> 'show',
			'nav_type'		=> 'arrows',
		), $atts ) );
		
		global $post;
		$args = array(
			'post_type'      		=> 'dtr_testimonial',
			'posts_per_page'		=> esc_attr( $limit ),
			'order'          		=> esc_attr( $order ), 
			'orderby'        		=> $orderby,
			'post_status'    		=> 'publish',
			'ignore_sticky_posts'	=> 1,
		);

		$query = new WP_Query( $args );
		$output = '';
		
		if( $nav_type == 'arrows' ) {
			$nav_class = 'dtr-slider-has-arrows';
		} elseif( $nav_type == 'dots' ) {
			$nav_class = 'dtr-slider-has-dots';	
		} else {   
			$nav_class = ''; 
		}
		
		if ($query->have_posts()) :	

		$output .= '<div class="swiper dtr-swiper swiper-container dtr-testimonial-carousel ' . $nav_class . ' clearfix"><div class="swiper-wrapper">';
			while ( $query->have_posts() ) : $query->the_post();
				$output .= '<div class="swiper-slide clearfix"><div class="dtr-testimonial dtr-testimonial--text-center">';
					$client_name = $client_designation = '';
					$thumb_title		= get_the_title();	
					$permalink			= get_permalink();
					$post_id 			= get_the_ID();
					$url      			= get_permalink( $post_id );
					$client_name 		= get_post_meta( $post->ID, '_copr_testimonial_client_name', true );
					$client_designation	= get_post_meta( $post->ID, '_copr_testimonial_client_designation', true );

				// image output
				if( has_post_thumbnail() && $image == 'show' ) {
					$thumb    	= get_post_thumbnail_id(); 
					$img_url	= wp_get_attachment_url( $thumb, 'full' ); 
					$image_src	= aq_resize( $img_url, 100, 100, true ); 
					$output .=  '<img class="dtr-testimonial__client-img" src="' . esc_url( $image_src ) . '" alt="' . esc_attr( $client_name ) . '"/>';
				} 
		
				// content	
				$output .= '<div class="dtr-testimonial__content">';
				$content = get_the_content();
				$content = apply_filters( 'the_content', $content );
				$content = str_replace( ']]>', ']]&gt;', $content );
				$output .= $content;
				$output .= '</div>';

				// client info
				if( $client_name || $client_designation ){
					$output .= '<div class="dtr-testimonial__client-info">'; 
					$output .= '<span class="dtr-testimonial__icon"></span>'; 
					if( $client_name ){
						$output .= '<h5 class="dtr-testimonial__client-name">' . esc_html( $client_name ) . '</h5>';
					} 
					if( $client_designation ){ 
						$output .= '<p class="dtr-testimonial__client-job">' . esc_html( $client_designation ) . '</p>';
					} 
					$output .=  '</div>';
				}		
				$output .= '</div></div>'; // slide and item ends
				
			endwhile;
		    $output .= '</div>'; // swiper wrapper ends
		    // navigation
			if( $nav_type == 'arrows' ) {
				$output .= '<div class="swiper-button-next dtr-swiper-button dtr-testimonial__next"></div><div class="swiper-button-prev dtr-swiper-button dtr-testimonial__prev"></div>';
			} 
			if( $nav_type == 'dots' ) {
				$output .= '<div class="swiper-pagination dtr-testimonial__dots"></div>';
			} 
		$output .= '</div>';	
		// main content ends
		
		wp_reset_postdata();
		endif;
		return $output;
	}
}
add_shortcode('dtr_testimonial_carousel', 'copr_testimonial_carousel_sc');
/*------------------------------------------------------------
 * Portfolio Grid
 * @since 1.0
 *------------------------------------------------------------*/
if ( ! function_exists( 'dtr_copr_portfolio_grid_sc' ) ) {
	function dtr_copr_portfolio_grid_sc( $atts, $content = null ) {
		extract ( shortcode_atts( array(
			'image_size'	    	=> '',
			'image_size_default'	=> 'full',
			'img_width'	    		=> '600',
			'img_height'	    	=> '400',
			'filter'    			=> 'show', 
			'heading'   			=> 'show',
			'heading_size'   		=> 'h5',
			'subheading'   			=> 'show',
			'subheading_size'   	=> 'p',
			'limit'     			=> '6',
			'order'	    			=> 'DESC',
			'orderby'   			=> 'date',
			'tax'       			=> '',
			'columns'				=> 'dtr-portfolio-grid-3col',
			'layout'				=> 'dtr-portfolio-masonry',
			'gap'       			=> '',
			'all_text'    			=> 'All',
			'link_wrap'    			=> 'yes',
			'target'         		=> '_blank',
		), $atts ) );
		
		$output = '';
		global $post;
		$args = array(
			'post_type'         => 'dtr_portfolio',
			'dtr_portfoliotags'	=> $tax,
			'posts_per_page'    => esc_attr( $limit ),
			'order'             => esc_attr( $order ), 
			'orderby'           => $orderby,
			'post_status'       => 'publish',
		);
		
		if( $filter == 'show' ){ 
		
			$portfolio_cats ='';
			if( $portfolio_cats && $portfolio_cats[0] == 0 ) {
				unset( $portfolio_cats[0] );
			}
			if( $portfolio_cats ){
				$args['tax_query'][] = array(
					'taxonomy'	=> 'dtr_portfoliotags',
					'terms' 	=> $portfolio_cats,
					'field' 	=> 'term_id',
				);
			}
		
			$loop = new WP_Query( $args );
			
			$portfolio_taxs = array();
			$filtered_taxs = array();
			
			if( is_array( $loop->posts ) && !empty( $loop->posts ) ) {
				foreach( $loop->posts as $loop_post ) {
					$post_taxs = wp_get_post_terms( $loop_post->ID, 'dtr_portfoliotags', array( "fields" => "all" ) );
					if( is_array( $post_taxs ) && !empty( $post_taxs ) ) {
						foreach( $post_taxs as $post_tax ) {
							if( is_array( $portfolio_cats ) && !empty( $portfolio_cats ) && ( in_array($post_tax->term_id, $portfolio_cats) || in_array( $post_tax->parent, $portfolio_cats )) )  						{
								$portfolio_taxs[urldecode( $post_tax->slug) ] = $post_tax->name;
							}
							if( empty( $portfolio_cats ) || !isset( $portfolio_cats ) ) {
								$portfolio_taxs[urldecode( $post_tax->slug )] = $post_tax->name;
							}
						}
					}
				}
			}

			$terms = get_terms( 'dtr_portfoliotags' );
			if( !empty( $terms ) && is_array( $terms ) ) {
				foreach( $terms as $term ) {
					if( is_array( $portfolio_taxs ) && array_key_exists ( urldecode( $term->slug ) , $portfolio_taxs ) ) {
						$filtered_taxs[urldecode( $term->slug )] = $term->name;
					}
				}
			}

			$portfolio_taxs = $filtered_taxs;
			$portfolio_category = get_terms( 'dtr_portfoliotags' );
			if( is_array( $portfolio_taxs ) && !empty( $portfolio_taxs ) ):
				$output .= '<div class="dtr-filter-nav-wrapper"><ul class="dtr-filter-nav clearfix">';
				$output .= '<li><a class="dtr-filter-all active" data-filter="*" href="#">';
				$output .= '' . esc_html( $all_text ) . '';
				$output .= '</a></li>';
				foreach( $portfolio_taxs as $portfolio_tax_slug => $portfolio_tax_name ): 
				$output .= '<li>';
					$output .= '<a data-filter=".' .  $portfolio_tax_slug . '" href="#">' . $portfolio_tax_name  . '';
				$output .= '</a></li>';
				endforeach; 
				$output .= '</ul></div>';
			endif; 
		} // filter

		$query = new WP_Query( $args );
		
		if ( $query->have_posts() ) :	
			$output .= '<div class="dtr-portfolio-grid ' . esc_attr( $layout ) . ' ' . esc_attr( $columns ) . ' ' . esc_attr( $gap ) . '">';	
			while ( $query->have_posts() ) : $query->the_post();
				
				// add filter classes 
				$filter_classes = '';
				$item_cats = get_the_terms( $post->ID, 'dtr_portfoliotags' );
				if( $item_cats ):
				foreach( $item_cats as $item_cat ) {
					$filter_classes .= urldecode( $item_cat->slug ) . ' ';
				}
				endif;
				
				// variables
				$external_link = '';
				$post_id 					= get_the_ID();
				$thumb						= get_post_thumbnail_id(); 
				$img_url     				= wp_get_attachment_url( $thumb, 'full' ); 
				$thumb_title 				= get_the_title();
				$permalink   				= get_permalink();
				$external_link				= get_post_meta( $post->ID, '_copr_portfolio_external_link_url', true );   
				$portfolio_subheading		= get_post_meta( $post->ID, '_copr_portfolio_subheading', true );
					
			$output .= '<div class="dtr-portfolio-item isotope-item '. esc_attr( $filter_classes ) . ' all"><div class="dtr-portfolio-item__wrapper">';
				
					// link
					if ( $link_wrap == 'yes' ) { 
						if ( $external_link != '' ) { 
							$output .= '<a class="dtr-portfolio-item__link" href="' . esc_url( $external_link ) . '" target="'. esc_attr( $target ) . '" aria-label="' . get_the_title() . '"></a>';
						} else {
							$output .= '<a class="dtr-portfolio-item__link" href="' . get_the_permalink() . '" target="'. esc_attr( $target ) . '" aria-label="' . get_the_title() . '"></a>';	
						}
					}
								
					// image width
					if( $image_size == 'img_custom' && $img_width == '' ){
						$return_width = '600';
					} else {
						$return_width = $img_width;
					}
					// image height
					if( $image_size == 'img_custom' && $img_height == '' ){
						$return_height = '400';
					} else {
						$return_height = $img_height;
					}

					// image sizes
					if( ! empty( $img_url ) && ! empty( $return_width ) && ! empty( $return_height ) && $image_size == 'img_custom' && has_post_thumbnail() ) {  
						$image_resize   = aq_resize( $img_url, $return_width, $return_height, true );
						$return_image = '<img src="' . esc_url( $image_resize ) . '" alt="' . esc_attr( $thumb_title ) . '"/>';
					} else { 
						$return_image = '' . get_the_post_thumbnail ( $post_id, $image_size_default ) . '';
					}
						
					// image output
					if( has_post_thumbnail() ) { 
						$output .=  '<div class="dtr-portfolio-item__img">' . $return_image . '</div>';
					} else {
						$output .=  '<div class="dtr-portfolio-item__img no-portfolio-img"></div>';
					}
					
					if( $heading == 'show' || $subheading == 'show' ){ 
						$output .=  '<div class="dtr-portfolio-item__content">';	
							if( $heading == 'show' ){ 
								$output .= '<' . $heading_size . ' class="dtr-portfolio-item__heading">' . get_the_title() . '</' . $heading_size . '>';
							}
							$output .= '<div class="clearfix"></div>';
							if( $subheading == 'show' ){ 
								$output .=  '<p class="dtr-portfolio-item__subheading">' . esc_html( $portfolio_subheading ) . '</p>';
							} 
						$output .= '</div>';
					}
					// portfolio content	
									
				$output .= '</div></div>'; // dtr-portfolio-item	
			endwhile;
			$output .= '</div>';
			wp_reset_postdata();
		endif;
		return $output;
	}
}
add_shortcode('dtr_portfolio_grid', 'dtr_copr_portfolio_grid_sc');

/*------------------------------------------------------------
 * Recent Posts Carousel
 * @since 1.0
 *------------------------------------------------------------*/
if ( ! function_exists( 'dtr_copr_recentpost_sc' ) ) {
	function dtr_copr_recentpost_sc( $atts, $content = null ) {
		extract ( shortcode_atts( array(
			'title'     			=> '',
			'image'					=> '',
			'excerpt'   			=> '',
			'words'   				=> '35',
			'date'					=> '',
			'author'				=> '',
			'limit'     			=> '-1',
			'order'     			=> 'DESC',
			'orderby'   			=> 'date',
			'cat'	    			=> '',
			'category'				=> '',
			'image_size'	    	=> '',
			'image_size_default'	=> 'full',
			'img_width'	    		=> '600',
			'img_height'	    	=> '400',
			'nav_type'				=> 'dots',
			'read_more'   			=> '',
			'read_more_text'   		=> 'Read More',
		), $atts ) );
	
		$cat = str_replace(' ','-',$cat);
		 
		global $post;
		$args = array(
			'post_type'      		=> '',
			'posts_per_page' 		=> esc_attr( $limit ),
			'order'          		=> esc_attr( $order ), 
			'orderby'        		=> $orderby,
			'post_status'    		=> 'publish',
			'ignore_sticky_posts'	=> 1,
			'category_name'  		=> $cat, 
		);
	
		$dtr_recentpost_query = new WP_Query( $args );
		$output = '';

		// pager class
		if( $nav_type == 'arrows' ) {
			$nav_class = 'dtr-slider-has-arrows';
		} elseif( $nav_type == 'dots' ) {
			$nav_class = 'dtr-slider-has-dots';	
		} else {   
			$nav_class = ''; 
		}

		if( $dtr_recentpost_query->have_posts() ) : 
			$output .= '<div class="swiper dtr-swiper swiper-container dtr-recentposts-carousel ' . $nav_class . '"><div class="swiper-wrapper">';
			while ( $dtr_recentpost_query->have_posts() ) : $dtr_recentpost_query->the_post();
				// has image
				if( has_post_thumbnail() ) { 
					$has_img = 'dtr-recentposts--has-img';
				} else {
					$has_img = 'dtr-recentposts--no-img';
				}
				$output .= '<div class="swiper-slide dtr-recentposts dtr-post-block '. $has_img . '">';
					$permalink		= get_permalink();
					$thumb_title	= get_the_title();	
					$post_id 		= get_the_ID();
					$url      		= get_permalink( $post_id );
					$thumb       	= get_post_thumbnail_id(); 
					$img_url     	= wp_get_attachment_url( $thumb, 'full' ); 
					// image width
					if( $image_size == 'img_custom' && $img_width == '' ){
						$return_width = '600';
					} else {
						$return_width = $img_width;
					}
					// image height
					if( $image_size == 'img_custom' && $img_height == '' ){
						$return_height = '400';
					} else {
						$return_height = $img_height;
					}

					// image sizes
					if( ! empty( $img_url ) && ! empty( $return_width ) && ! empty( $return_height ) && $image_size == 'img_custom' && has_post_thumbnail() ) {  
						$image_resize   = aq_resize( $img_url, $return_width, $return_height, true );
						$return_image = '<img src="' . esc_url( $image_resize ) . '" alt="' . esc_attr( $thumb_title ) . '"/>';
					} else { 
						$return_image = '' . get_the_post_thumbnail ($post_id, $image_size_default) . '';
					}
					// image output
					if( has_post_thumbnail() && $image == 'show' ) { 
						$output .=  '<div class="dtr-post-block__img-wrapper">';
							$output .=  '<a href="' . esc_url( $permalink ) . '" rel="bookmark" aria-label="' . get_the_title() . '">' . $return_image . '</a>';
						// category
						if( $category == 'show' ) {
							$cats = get_the_category( $post->ID );
							if( $cats ) {
								$output .= '<div class="dtr-meta-category dtr-post-block__category">';
								foreach( $cats as $cat ) {
									$output .= '<a class="dtr-category-link" href="' . esc_url( get_category_link( $cat->term_id ) ) . '">'. $cat->name .'</a>';
								}
								$output .= '</div>';
							}
						} // category ends
						
						$output .=  '</div>';
					} // image
					
					// content
					$output .= '<div class="dtr-post-block__content">';
					
						// category
						if( $category == 'show' ) {
							if( !has_post_thumbnail() || $image == 'hide' ) {
								$cats = get_the_category( $post->ID );
								if( $cats ) {
									$output .= '<div class="dtr-category dtr-post-block__category">';
									foreach( $cats as $cat ) {
										$output .= '<a class="dtr-category-link" href="' . esc_url( get_category_link( $cat->term_id ) ) . '">'. $cat->name .'</a>';
									}
									$output .= '</div>';
								}
							}
						} // category ends

						if( $author == 'show' || $date == 'show' ) {
							$output .= '<div class="dtr-meta dtr-post-block__meta">';
								if( $date == 'show' ) {
									$output .= '<a class="dtr-meta-item dtr-meta-date" href="' . esc_url( $permalink ) . '" rel="bookmark">' . get_the_date() . '</a>';
								}
								if( $author == 'show' ) {
									$output .= '<a class="dtr-meta-item dtr-meta-author" href="' . esc_url(get_author_posts_url(get_the_author_meta( 'ID' ))) . '">' . esc_html(get_the_author()) . '</a>';
								}
							$output .= '</div>'; // meta
						}
						
						// title
						if( $title == 'show' ) {
							$output .= '<h5 class="dtr-post-block__title"><a class="dtr-post-block__title-link" href="' . esc_url( $permalink ) . '" rel="bookmark">' . esc_html(get_the_title()) . '</a></h5>';
						}	
						
					
						if( $excerpt == 'show' ) {	
							$output .= '<div class="dtr-post-block__excerpt">';
							$content = get_the_content();
							$content = wp_trim_words( $content , $words );
							$content = str_replace( ']]>', ']]&gt;', $content );
							$output .= $content;
							$output .= '</div>';
						}
						
						// read more
						if( $read_more == 'show' ) {
							$output .= '<p><a class="dtr-post__button" href="' . esc_url( $permalink ) . '" role="button">' . esc_html( $read_more_text ) . '</a></p>';
						}
					$output .= '</div>'; // content
				$output .= '</div>'; // item
			endwhile;
			$output .= '</div>';
			// navigation
			if( $nav_type == 'arrows' ) {
				$output .= '<div class="swiper-button-prev dtr-swiper-button dtr-recentposts__prev"></div><div class="swiper-button-next dtr-swiper-button dtr-recentposts__next"></div>';
			} 
			if( $nav_type == 'dots' ) {
				$output .= '<div class="swiper-pagination dtr-recentposts__dots"></div>';
			} 
			$output .= '</div>';
			wp_reset_postdata();
		endif;
		return $output;
	}	
}
add_shortcode('dtr_recentposts', 'dtr_copr_recentpost_sc');