( function( $ ) {
	
	// testimonial
	var WidgetTestimonialHandler = function( $scope, $ ) {
		var swiper = new Swiper(".dtr-testimonial-carousel", {
			slidesPerView: 1,
			spaceBetween: 0,
			loop: true,
			speed: 1200,
			//effect: 'fade',
			fadeEffect: {
				crossFade: true
			},
			pagination: {
				el: ".swiper-pagination.dtr-testimonial__dots",
				clickable: true,
			},
			navigation: {
				nextEl: ".swiper-button-next.dtr-testimonial__next",
				prevEl: ".swiper-button-prev.dtr-testimonial__prev",
			},
			autoplay: {
				delay: 6000,
				disableOnInteraction: true,
				pauseOnMouseEnter: true
			},
		});
		
	}; // WidgetTestimonialHandler

	// Portfolio masonry	
	var WidgetPortfolioMasonryHandler = function( $scope, $ ) {
		var dtr_portfolio_grid = $scope.find('.dtr-portfolio-masonry');
		dtr_portfolio_grid.imagesLoaded( function () {
			dtr_portfolio_grid.isotope( 
			{
				itemSelector: '.dtr-portfolio-item',
				masonry: { columnWidth: '.dtr-portfolio-masonry .dtr-portfolio-item' }
			});
			});
			$('.dtr-filter-nav a').on('click', function () {
				$('.dtr-filter-nav a').removeClass('active');
				$(this).addClass('active');
				var selector = $(this).attr('data-filter');
				dtr_portfolio_grid.isotope({
					filter: selector
				});
				return false;
			});
	}; // WidgetPortfolioMasonryHandler
	
	// Portfolio Grid	
	var WidgetPortfolioGridHandler = function( $scope, $ ) {
		var dtr_portfolio_grid = $scope.find('.dtr-portfolio-fitrows');
		dtr_portfolio_grid.imagesLoaded( function () {
			dtr_portfolio_grid.isotope( 
			{
				itemSelector: '.dtr-portfolio-item',
				masonry: {},
				layoutMode : 'fitRows',
			});
			});
			$('.dtr-filter-nav a').on('click', function () {
				$('.dtr-filter-nav a').removeClass('active');
				$(this).addClass('active');
				var selector = $(this).attr('data-filter');
				dtr_portfolio_grid.isotope({
					filter: selector
				});
				return false;
			});
	}; // WidgetPortfolioGridHandler
	
	// post carousel
	var WidgetPostCarouselHandler = function( $scope, $ ) {
		var swiper = new Swiper(".dtr-recentposts-carousel", {
			slidesPerView: 1,
			spaceBetween: 0,
			loop: true,
			pagination: {
				el: ".swiper-pagination.dtr-recentposts__dots",
				clickable: true,
			},
			navigation: {
				nextEl: ".swiper-button-next.dtr-recentposts__next",
				prevEl: ".swiper-button-prev.dtr-recentposts__prev",
			},
			autoplay: {
				delay: 7000,
				disableOnInteraction: true,
				pauseOnMouseEnter: true,
			},
			breakpoints: {
			  782: {
				slidesPerView: 2,
				spaceBetween: 20,
			  },
			  1280: {
				slidesPerView: 3,
				spaceBetween: 20,
			  },
			},
		});
		
	}; // WidgetPostCarouselHandler

	// Make sure you run this code under Elementor.
	$( window ).on( 'elementor/frontend/init', function() {
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-testimonial-carousel.default', WidgetTestimonialHandler );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-grid-portfolio.default', WidgetPortfolioGridHandler );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-grid-portfolio.default', WidgetPortfolioMasonryHandler );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-posts-carousel.default', WidgetPostCarouselHandler );
	} );

} )( jQuery );